Skip to main content
GET
/
orgs
/
{organization}
/
servers
/
{server}
/
monitors
List server monitors
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/monitors",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": [
    {
      "id": "<string>",
      "type": "monitors",
      "links": {
        "self": {
          "href": "<string>",
          "rel": "<string>",
          "describedby": "<string>",
          "title": "<string>",
          "type": "<string>",
          "hreflang": "<string>",
          "meta": {}
        }
      },
      "attributes": {
        "threshold": 123,
        "minutes": 123,
        "notify": "<string>",
        "state_changed_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "path": "<string>",
    "per_page": 1,
    "next_cursor": "<string>",
    "prev_cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

Query Parameters

page[size]
integer
default:30

The number of results that will be returned per page.

page[cursor]
string

The cursor to start the pagination from.

filter[status]
string

The status of the monitor.

Example:

"installed"

filter[state]
string

The state of the monitor.

Example:

"OK"

filter[type]
string

The type of the monitor.

Example:

"cpu_load"

filter[notify]
string

The email address to notify when the monitor is in an alert state.

Example:

"taylor@laravel.com"

sort
enum<string>[]
Available options:
state,
-state,
status,
-status,
created_at,
-created_at,
updated_at,
-updated_at

Response

Paginated set of MonitorResource

data
MonitorResource · object[]
required
meta
object
required